> ## Documentation Index
> Fetch the complete documentation index at: https://docs.brightdata.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Initiating a collection (new dataset)

> Use the Bright Data Marketplace API to initiating a collection (New Dataset). Spans 250+ domains in the Bright Data marketplace.

**Endpoint:** `POST` `/datasets/initiate_collection`

## `POST` body

<ParamField query="request_id" type="string" required>
  The unique identifier for the collection request you are inquiring about.
</ParamField>

<ParamField query="freshness_ms" type="string" required>
  The time in milliseconds indicating the desired data freshness.
</ParamField>

```json Body Example theme={null}
{
    "request_id": "j_lsu5sdup1ggkc5umby",
    "freshness_ms": 2592000000
}
```

<RequestExample>
  ```sh theme={null}
  curl -k "https://api.brightdata.com/datasets/request_collection?dataset_id=gd_l1vikfnt1wgvvqz95w&type=url_collection" -H "Authorization: Bearer API_KEY" -H "Content-Type: application/json" -d '[{"id":"user-id"}]'
  ```
</RequestExample>

<ResponseExample>
  ```json theme={null}
  {
  "request_id": "j_lsu5sdup1ggkc5umby"
  }
  ```
</ResponseExample>
